Subject: Re: B16 - Building NT device drivers
From: [email-masked] ("Douglas R. Warren")

9 Nov 1996 09:40:01 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (Macintosh; I; PPC)
Original-To: "John D. Haughton" <[email-masked]>
Original-CC: "[email-masked]'" <[email-masked]>
Original-Sender: [email-masked]

John D. Haughton wrote:
> 
> Is it possible ?
> 
> Has anyone done it ?
> 
> Is it just a case of linking with the entry point set to _DriverEntry ?
<...>

John -- there's more to it than that for NT drivers.  You need 
MS's DDK (driver dev kit) for all of the symbols.  Drivers are a 
special 'kind' of thing, like a DLL only worse (special headers, 
req'd routines, etc.).  They have a number of entry points, have
several layers, and are expected to be thread-safe and portable
between CPUs (they live on top of NTs Hardware Abstraction Layer).
Also MS is making noises about changing NT and W95 driver models
so they are the same -- the result will likely be closer to NT.

I'm sure it can be done.  And to those who will do it -- "you're a 
better <person> than I, Gunga Dinn!".

--Doug--
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".